CKEDITOR.plugins.add( 'fieldset',
{
	init: function( editor )
	{
		editor.addCommand( 'fieldsetCommand', new CKEDITOR.dialogCommand( 'fieldsetDialog' ) );
		editor.ui.addButton( 'fieldset',
			{
				label: 'نص بإطار',
				command: 'fieldsetCommand',
				icon: this.path + 'fieldset.gif'
			}
		);
		var me = {};
		CKEDITOR.dialog.add( 'fieldsetDialog', function( editor )
		{
			return {
				title : 'نص بإطار',
				width : 400,
				height : 'auto',
				onShow : function (){
					if  (editor.getSelection().getSelectedText().length < 1) {
						alert('رجاء تحديد النص اولا');
							if ( this.fire( 'cancel', { hide : true } ).hide !== false ){
								this.hide();
								evt.data.preventDefault();
							}
						return;
					} else {
						me.text = editor.getSelection().getSelectedText();
					}
				},
				contents :
				[
					{
						id : 'fieldset',
						label : 'fieldset',
						elements :
						[
							{
								type : 'html',
								html : '<center>ادخل عنوان الاطار و النص المراد وضعه فى اطار</center>'
							},
							{
								type : 'text',
								id : 'title',
								label : 'العنوان',
								validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
								required : true,
								commit : function( me )
								{
									me.title = this.getValue();
								}
							},
							{
								type : 'textarea',
								id : 'text',
								label : 'النص',
								validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
								required : true,
								onShow : function()
								{
									this.setValue(me.text);
								},
								commit : function( me )
								{
									me.text = this.getValue();
								}
							}
						]
					}
				],
				onOk : function( me )
				{
					this.commitContent( me );
					editor.insertHtml('[fieldset='+ me.title +']' + me.text + '[/fieldset]');
				}
			};
		});
	}
});